> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apiany.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 이미지 편집 생성

> 참조 이미지를 지원하는 모델을 위한 OpenAI 스타일 이미지 편집 엔드포인트입니다.



## OpenAPI

````yaml /ko/openapi.json post /v1/images/edits
openapi: 3.1.0
info:
  title: APIAny.AI 공개 API
  version: 1.0.0
  description: APIAny.AI의 모델 통합, 비동기 미디어 작업, 채팅 생성, 크레딧 조회 및 작업 조회를 위한 공개 API입니다.
servers:
  - url: https://apiany.ai
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Models
    description: 공개 모델 카탈로그입니다.
  - name: Chat
    description: 텍스트 생성 및 채팅 호환 엔드포인트입니다.
  - name: Images
    description: 이미지 생성 및 이미지 편집 엔드포인트입니다.
  - name: Videos
    description: 동영상 생성 엔드포인트입니다.
  - name: Moderation
    description: Image safety and moderation endpoints.
  - name: Tasks
    description: 비동기 작업 조회입니다.
  - name: Account
    description: 계정 및 크레딧 조회입니다.
  - name: Free APIs
    description: Free utility APIs protected by API key rate limits.
paths:
  /v1/images/edits:
    post:
      tags:
        - Images
      summary: 이미지 편집 생성
      description: 참조 이미지를 지원하는 모델을 위한 OpenAI 스타일 이미지 편집 엔드포인트입니다.
      operationId: createImageEdit
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ImageEditRequest'
      responses:
        '200':
          description: OpenAI 호환 이미지 결과입니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenAIImageResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
components:
  schemas:
    ImageEditRequest:
      type: object
      properties:
        model:
          type: string
          example: nano-banana
        prompt:
          type: string
        image:
          type: string
          format: binary
        mask:
          type: string
          format: binary
        size:
          type: string
          example: 1k
      required:
        - model
        - prompt
        - image
    OpenAIImageResponse:
      type: object
      properties:
        created:
          type: integer
        data:
          type: array
          items:
            type: object
            properties:
              url:
                type: string
                format: uri
              b64_json:
                type: string
              revised_prompt:
                type: string
        usage:
          $ref: '#/components/schemas/TokenUsage'
      required:
        - created
        - data
    TokenUsage:
      type: object
      properties:
        prompt_tokens:
          type: integer
        completion_tokens:
          type: integer
        total_tokens:
          type: integer
        input_tokens:
          type: integer
        output_tokens:
          type: integer
        cached_input_tokens:
          type: integer
      additionalProperties: true
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - invalid_request
                - auth_error
                - rate_limit
                - insufficient_quota
                - content_policy
                - timeout
                - network_error
                - service_error
                - billable_error
                - unknown
            message:
              type: string
            param:
              type:
                - string
                - 'null'
            code:
              type:
                - string
                - 'null'
          required:
            - type
            - message
      required:
        - error
  responses:
    BadRequest:
      description: 요청 파라미터가 유효하지 않습니다.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````